searchNodes=[{"ref":"MlDHT.html","title":"MlDHT","type":"module","doc":"MlDHT is an Elixir package that provides a Kademlia Distributed Hash Table (DHT) implementation according to BitTorrent Enhancement Proposals (BEP) 05. This specific implementation is called &quot;mainline&quot; variant."},{"ref":"MlDHT.html#node_id/0","title":"MlDHT.node_id/0","type":"function","doc":"This function returns the generated node_id as a bitstring."},{"ref":"MlDHT.html#node_id_enc/0","title":"MlDHT.node_id_enc/0","type":"function","doc":"This function returns the generated node_id encoded as a String (40 characters)."},{"ref":"MlDHT.html#search/2","title":"MlDHT.search/2","type":"function","doc":"This function needs an infohash as binary and a callback function as parameter. This function uses its own routing table as a starting point to start a get_peers search for the given infohash. Example iex&gt; &quot;3F19B149F53A50E14FC0B79926A391896EABAB6F&quot; |&gt; Base.decode16! |&gt; MlDHT.search(fn(node) -&gt; {ip, port} = node IO.puts &quot;ip: \#{inspect ip} port: \#{port}&quot; end)"},{"ref":"MlDHT.html#search_announce/2","title":"MlDHT.search_announce/2","type":"function","doc":"This function needs an infohash as binary and callback function as parameter. This function does the same thing as the search/2 function, except it sends an announce message to the found peers. This function does not need a TCP port which means the announce message sets :implied_port to true. Example iex&gt; &quot;3F19B149F53A50E14FC0B79926A391896EABAB6F&quot; |&gt; Base.decode16! |&gt; MlDHT.search_announce(fn(node) -&gt; {ip, port} = node IO.puts &quot;ip: \#{inspect ip} port: \#{port}&quot; end)"},{"ref":"MlDHT.html#search_announce/3","title":"MlDHT.search_announce/3","type":"function","doc":"This function needs an infohash as binary, a callback function as parameter, and a TCP port as integer. This function does the same thing as the search/2 function, except it sends an announce message to the found peers. Example iex&gt; &quot;3F19B149F53A50E14FC0B79926A391896EABAB6F&quot; ## Ubuntu 15.04 |&gt; Base.decode16! |&gt; MlDHT.search_announce(fn(node) -&gt; {ip, port} = node IO.puts &quot;ip: \#{inspect ip} port: \#{port}&quot; end, 6881)"},{"ref":"MlDHT.html#t:infohash/0","title":"MlDHT.infohash/0","type":"type","doc":"A binary which contains the infohash of a torrent. An infohash is a SHA1 encoded hex sum which identifies a torrent."},{"ref":"MlDHT.html#t:node_id/0","title":"MlDHT.node_id/0","type":"type","doc":"TODO"},{"ref":"MlDHT.html#t:node_id_enc/0","title":"MlDHT.node_id_enc/0","type":"type","doc":"TODO"},{"ref":"MlDHT.html#t:tcp_port/0","title":"MlDHT.tcp_port/0","type":"type","doc":"A non negative integer (0--65565) which represents a TCP port number."},{"ref":"MlDHT.Registry.html","title":"MlDHT.Registry","type":"module","doc":"This module just capsules functions that avoid boilerplate when using the MlDHT Registry. (They are not callbacks)"},{"ref":"MlDHT.Registry.html#get_pid/1","title":"MlDHT.Registry.get_pid/1","type":"function","doc":""},{"ref":"MlDHT.Registry.html#get_pid/2","title":"MlDHT.Registry.get_pid/2","type":"function","doc":""},{"ref":"MlDHT.Registry.html#get_pid/3","title":"MlDHT.Registry.get_pid/3","type":"function","doc":""},{"ref":"MlDHT.Registry.html#lookup/1","title":"MlDHT.Registry.lookup/1","type":"function","doc":""},{"ref":"MlDHT.Registry.html#start/0","title":"MlDHT.Registry.start/0","type":"function","doc":""},{"ref":"MlDHT.Registry.html#unregister/1","title":"MlDHT.Registry.unregister/1","type":"function","doc":""},{"ref":"MlDHT.Registry.html#via/1","title":"MlDHT.Registry.via/1","type":"function","doc":""},{"ref":"MlDHT.Registry.html#via/2","title":"MlDHT.Registry.via/2","type":"function","doc":""},{"ref":"MlDHT.Registry.html#via/3","title":"MlDHT.Registry.via/3","type":"function","doc":""},{"ref":"MlDHT.RoutingTable.Supervisor.html","title":"MlDHT.RoutingTable.Supervisor","type":"module","doc":"TODO"},{"ref":"MlDHT.RoutingTable.Supervisor.html#child_spec/1","title":"MlDHT.RoutingTable.Supervisor.child_spec/1","type":"function","doc":"Returns a specification to start this module under a supervisor. See Supervisor."},{"ref":"MlDHT.RoutingTable.Supervisor.html#start_link/1","title":"MlDHT.RoutingTable.Supervisor.start_link/1","type":"function","doc":""},{"ref":"MlDHT.Search.Supervisor.html","title":"MlDHT.Search.Supervisor","type":"module","doc":""},{"ref":"MlDHT.Search.Supervisor.html#child_spec/1","title":"MlDHT.Search.Supervisor.child_spec/1","type":"function","doc":"Returns a specification to start this module under a supervisor. See Supervisor."},{"ref":"MlDHT.Search.Supervisor.html#init/1","title":"MlDHT.Search.Supervisor.init/1","type":"function","doc":"Callback invoked to start the supervisor and during hot code upgrades. Developers typically invoke DynamicSupervisor.init/1 at the end of their init callback to return the proper supervision flags. Callback implementation for DynamicSupervisor.init/1."},{"ref":"MlDHT.Search.Supervisor.html#start_child/4","title":"MlDHT.Search.Supervisor.start_child/4","type":"function","doc":""},{"ref":"MlDHT.Search.Supervisor.html#start_link/1","title":"MlDHT.Search.Supervisor.start_link/1","type":"function","doc":""},{"ref":"MlDHT.Supervisor.html","title":"MlDHT.Supervisor","type":"module","doc":"Root Supervisor for MlDHT"},{"ref":"MlDHT.Supervisor.html#child_spec/1","title":"MlDHT.Supervisor.child_spec/1","type":"function","doc":"Returns a specification to start this module under a supervisor. See Supervisor."}]